<?php


defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Filesystem\File;
use Joomla\Archive\Archive;
use Joomla\CMS\Form\FormField;

//jimport( 'joomla.form.form' );

if (is_file(JPATH_PLUGINS . '/system/jtframework/autoload.php'))
{
    require_once JPATH_PLUGINS . '/system/jtframework/autoload.php';
}else{
    $app = Factory::getApplication();
    $app->enqueueMessage(Text::_('JT_FW_NOT_FOUND'), 'error');
    return;
}




class JFormFieldJtExport extends FormField
{
    /**
     * The form field type.
     *
     * @var    string
     * @since  11.1
    */
    protected $type = 'jtexport';

 
	protected function getLabel()
	{


        $this->label = isset($this->element['label']) ? (string) Text::_($this->element['label']) : '';

		//return $this->label;
		return $this->label;
	}


	protected function getInput()
	{

        $onchange = $this->onchange ? ' onchange="' . $this->onchange . '"' : '';

        $name = $this->name;
        $id =  $this->id;
        $this->default = (string) $this->element['default'] ? (string) $this->element['default'] : '0';
        $this->value = ($this->value ? : $this->default);
        


        $input = '<script>function jtexport_'.$id.'(el,id){
   
            
        }</script>';
      
        $app = Factory::getApplication('administrator');

        $file = array(
            'json' => array(
                'name' => $this->id . '.json',
                'data' => json_encode($this->form->getData()),
                'time' => time(),
                'mime' => 'application/json'
            )
        );

        $ziproot = $app->get('tmp_path') . '/' . $this->id .'.zip';

        $current_file = $app->get('tmp_path') . '/' .$this->id.'.zip';

        $export = '';


        $export .= '<a onclick="document.querySelector(\'#'.$this->id.'\').value = 1;  Joomla.submitbutton(\'module.apply\');" class="btn btn-success tmexport">'.Text::_('JTFW_EXPORT').'</a> ';


        if(File::exists($current_file) && $this->value != 0){
            $export .= ' <a onclick="Joomla.submitbutton(\'module.apply\');" class="tmexport_file btn btn-link" target="_blank" href="'.URI::root().'tmp/'.$this->id.'.zip">'.$this->id.'.zip</a>';
        }

        //download 
        if($this->value != 0){

            $this->value = 0;
            //File::write(JPATH_SITE."/tmp/".$this->id.".json",json_encode($this->form->getData()));
           
            $archive = new Archive;

            if (!$packager = $archive->getAdapter('zip'))
            {
                $export .= 'ZIP error';
                //return false;
            }
            elseif (!$packager->create($ziproot, $file))
            {
                $export .= 'ZIP creation error';
                //return false;
            }
        }

 

        $export .= '<input 
            type="hidden" 
            size="3"
            disable 
            name="'.$this->name.'" 
            id="'.$this->id.'" 
            value="'.$this->value.'" 
            '.$onchange.'
        />';

      


        


        return $export;
	}






}