<?php


defined('JPATH_PLATFORM') or die;





use JTFramework\JTfunc;
use JTFramework\JTdebug;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\Field\RangeField;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Form\FormHelper;

FormHelper::loadFieldClass('range');

class JFormFieldTmgroupedinput extends JFormFieldRange
{
    /**
     * The form field type.
     *
     * @var    string
     * @since  11.1
    */
    protected $type = 'tmgroupedinput';

 
	protected function getLabel()
	{

        $this->label = isset($this->element['label']) ? (string) $this->element['label'] : '';


		return $this->label;
	}


	protected function getInput()
	{
		/*
		$this->value = (float) ($this->value ?: $this->default);

		if ( ! empty($this->max))
		{
			$this->value = min($this->value, $this->max);
		}
		if ( ! empty($this->min))
		{
			$this->value = max($this->value, $this->min);
		}*/

		$this->value = ($this->value ?: $this->default);
	   
        $this->layout = 'tmgroupedinput';
        $parent = parent::getInput();

        return $parent;
	}

	protected function getLayoutPaths()
	{
		$paths   = parent::getLayoutPaths();
        $paths[] = JPATH_PLUGINS . '/system/jtframework/layouts';
        //var_dump($paths);
		return $paths;
	}

	protected function getLayoutData()
	{
		$data = parent::getLayoutData();

		// Initialize some field attributes.
		$extraData = [
			'prepend' => isset($this->element['prepend']) ? (string) $this->element['prepend'] : '',
			'append'  => isset($this->element['append']) ? (string) $this->element['append'] : '',
			'quantity'  => isset($this->element['quantity']) ? (string) $this->element['quantity'] : '',
			'input_type'  => isset($this->element['input_type']) ? (string) $this->element['input_type'] : '',
			'clone'  => isset($this->element['clone']) ? (string) $this->element['clone'] : false,
			'title'  => isset($this->element['title']) ? (string) $this->element['title'] : false,
        ];
        
        
		return array_merge($data, $extraData);
	}




}