<?php
/**
 * @author          jtotal <support@jtotal.org>
 * @link            https://jtotal.org
 * @copyright       Copyright © 2020 JTOTAL All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined('_JEXEC') or die;
use Joomla\CMS\Factory;

require_once __DIR__ . '/script.install.helper.php';
/**
 * JT framework installer class
 */
class PlgSystemJTFrameworkInstallerScript extends PlgSystemJTFrameworkInstallerScriptHelper
{
	public $name = 'JTOTAL_FRAMEWORK';
	public $alias = 'jtframework';
	public $extension_type = 'plugin';

	public function onBeforeInstall()
	{
		if (!$this->isNewer())
		{
			$app = Factory::getApplication();
			$app->enqueueMessage(JText::_('JT_SYSTEM_UPDATED_FAILED_NEW'), 'error');
			return false;
		}
	}
}
